import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Steuert das Spiel
 *
 * @author Klaus Reinold
 * @version 1.0
 */
public class SpielWelt extends GrafikWelt
{
    /**
     * Legt die Objekte der Simulation an und startet den Taktgeber
     */
    public SpielWelt()
    {
        prepare();
    }

    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {
        new Spiel();
        Greenfoot.start();
    }
}