
/**
 * Das tastaturgesteuerte Auto des Spielers
 * 
 * @author Klaus Reinold 
 * @version 1.0
 */
public class Spielerauto extends Auto
{
    /** x-Position des Spielerautos*/
    int xPos;
    /** y-Position des Spielerautos*/
    int yPos;

    /**
     * Konstruktor für Objekte der Klasse Spielerauto
     */
    public Spielerauto()
    {
        super("weiß");
        super.Drehen(180);
        xPos = 40;
        yPos = 460;
        super.PositionSetzen(xPos, yPos);
    }

    /**
     * Bewegung des Spielerautos nach links/rechts
     */
    void Bewegen(String richtung)
    {
        System.out.println(richtung);
        if(richtung == "links")
        {
            if(xPos > 0)
            {
                xPos = xPos - 40;
            }
        }
        else
        if(richtung == "rechts")
        {
            if(xPos < 240)
            {
                xPos = xPos + 40;
            }
        }
        super.PositionSetzen(xPos, yPos);
    }
}
