import greenfoot.*;
/**
 * die Klasse der GUI.
 * 
 * @author Klaus Reinold 
 * @version 0.9
 */
public class GUIWelt extends GrafikWelt
{
    /** Das Textfeld */
    private Textfeld t;
    /** Der Button */
    private Button b;

    /**
     * Die überschriebene Klasse Button mit dem neuen Mausklick-Event
     */
    class MeinButton extends Button
    {
        /**
         * Ergänze hier eine passende Dokumentation der Methode
         */
        @Override protected void AufMausklickReagieren()
        {
            t.TextSetzen("");
        }
        
    }
    /**
     * Konstruktor der GUI
     */
    public GUIWelt()
    {
        t = new Textfeld();
        b = new MeinButton();
        Greenfoot.start();
    }

}
