
/**
 * Darstellung eines Rolladens
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
class RollladenSymbol
{
    private Rechteck lamelle0;
    private Rechteck lamelle1;
    private Rechteck lamelle2;
    private Rechteck lamelle3;
    private Rechteck lamelle4;
    private Rechteck lamelle5;
    private Rechteck lamelle6;
    private Rechteck lamelle7;
    private Rechteck lamelle8;

	/**
	 * Baut das Symbol auf
	 * @param x x-Koordinate
	 * @param y y-Koordinate
     */
    RollladenSymbol (int x, int y)
    {
        lamelle0 = new Rechteck();
        GrafikWelt.dieWelt.addObject(lamelle0, 0, 0);
        lamelle0.FarbeSetzen("schwarz");
        lamelle0.GrößeSetzen(100, 10);
        lamelle0.PositionSetzen(x, y);

        lamelle1 = new Rechteck();
        GrafikWelt.dieWelt.addObject(lamelle1, 0, 0);
        lamelle1.FarbeSetzen("schwarz");
        lamelle1.GrößeSetzen(100, 10);
        lamelle1.PositionSetzen(x, y + 11);

        lamelle2 = new Rechteck();
        GrafikWelt.dieWelt.addObject(lamelle2, 0, 0);
        lamelle2.FarbeSetzen("schwarz");
        lamelle2.GrößeSetzen(100, 10);
        lamelle2.PositionSetzen(x, y + 22);

        lamelle3 = new Rechteck();
        GrafikWelt.dieWelt.addObject(lamelle3, 0, 0);
        lamelle3.FarbeSetzen("schwarz");
        lamelle3.GrößeSetzen(100, 10);
        lamelle3.PositionSetzen(x, y + 33);

        lamelle4 = new Rechteck();
        GrafikWelt.dieWelt.addObject(lamelle4, 0, 0);
        lamelle4.FarbeSetzen("schwarz");
        lamelle4.GrößeSetzen(100, 10);
        lamelle4.PositionSetzen(x, y + 44);

        lamelle5 = new Rechteck();
        GrafikWelt.dieWelt.addObject(lamelle5, 0, 0);
        lamelle5.FarbeSetzen("schwarz");
        lamelle5.GrößeSetzen(100, 10);
        lamelle5.PositionSetzen(x, y + 55);

        lamelle6 = new Rechteck();
        GrafikWelt.dieWelt.addObject(lamelle6, 0, 0);
        lamelle6.FarbeSetzen("schwarz");
        lamelle6.GrößeSetzen(100, 10);
        lamelle6.PositionSetzen(x, y + 66);

        lamelle7 = new Rechteck();
        GrafikWelt.dieWelt.addObject(lamelle7, 0, 0);
        lamelle7.FarbeSetzen("schwarz");
        lamelle7.GrößeSetzen(100, 10);
        lamelle7.PositionSetzen(x, y + 77);

        lamelle8 = new Rechteck();
        GrafikWelt.dieWelt.addObject(lamelle8, 0, 0);
        lamelle8.FarbeSetzen("schwarz");
        lamelle8.GrößeSetzen(100, 10);
        lamelle8.PositionSetzen(x, y + 88);
    }

    /**
	 * Meldet den neuen Zustand an das Symbol
	 * @param oben der Rolladen ist oben
     */
    void ÄnderungMelden(boolean oben)
    {
        if (oben)
        {
            lamelle1.SichtbarkeitSetzen(false);
            lamelle2.SichtbarkeitSetzen(false);
            lamelle3.SichtbarkeitSetzen(false);
            lamelle4.SichtbarkeitSetzen(false);
            lamelle5.SichtbarkeitSetzen(false);
            lamelle6.SichtbarkeitSetzen(false);
            lamelle7.SichtbarkeitSetzen(false);
            lamelle8.SichtbarkeitSetzen(false);
        }
        else
        {
            lamelle1.SichtbarkeitSetzen(true);
            lamelle2.SichtbarkeitSetzen(true);
            lamelle3.SichtbarkeitSetzen(true);
            lamelle4.SichtbarkeitSetzen(true);
            lamelle5.SichtbarkeitSetzen(true);
            lamelle6.SichtbarkeitSetzen(true);
            lamelle7.SichtbarkeitSetzen(true);
            lamelle8.SichtbarkeitSetzen(true);
        }
    }
}
