
/**
 * Ein graues Rechteck für die Wände des Hauses
 * 
 * @author Johannes Neumeyer
 * @version 1.0
 */
class Hausmauer extends Rechteck
{

    /**
     * Konstruktor für Objekte der Klasse Hausmauer
     */
    Hausmauer()
    {
        super();
        GrafikWelt.dieWelt.addObject(this, 0, 0);
        FarbeSetzen("grau");
    }
    
    /**
     * Konstruktor für Objekte der Klasse Hausmauer  mit angegebener Position
     * @param x x-Koordinate
     * @param y y-Koordinate
     */
    Hausmauer(int x, int y)
    {
        super();
        GrafikWelt.dieWelt.addObject(this, 0, 0);
        FarbeSetzen("grau");
        PositionSetzen(x, y);
    }
}
